DecodeOptions

com.hsm.barcode

## Class DecodeOptions

- java.lang.Object
- - com.hsm.barcode.DecodeOptions

-     public class DecodeOptions
      extends java.lang.Object

  Decode options class defining various decode settings

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `CallbackWaitTimeout` Deprecated. Timeout setting decWaitForDecode will wait before checking callback (WinCE Only)
    `int` | `DecAttemptLimit` Amount of time decoder will spend on each image
    `int` | `DecodeMode` Deprecated. Decoding modes
    `int` | `LinearRange` Deprecated. Size of the window used in the Advanced Linear decoding mode
    `int` | `MultiReadCount` Maximum number of barcodes to read in a single image
    `int` | `PrintWeight` Deprecated. Relative contrast
    `int` | `SearchLimit` Deprecated. Amount of time decoder will spend searching for a barcode
    `int` | `VideoReverse` Video reverse (linear only)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecodeOptions()` Data structure that is used to retrieve attributes of last acquired image

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PrintWeight

          public int PrintWeight

      Deprecated. Relative contrast

    - #### DecodeMode

          public int DecodeMode

      Deprecated. Decoding modes

    - #### LinearRange

          public int LinearRange

      Deprecated. Size of the window used in the Advanced Linear decoding mode

    - #### VideoReverse

          public int VideoReverse

      Video reverse (linear only)

    - #### DecAttemptLimit

          public int DecAttemptLimit

      Amount of time decoder will spend on each image

    - #### SearchLimit

          public int SearchLimit

      Deprecated. Amount of time decoder will spend searching for a barcode

    - #### CallbackWaitTimeout

          public int CallbackWaitTimeout

      Deprecated. Timeout setting decWaitForDecode will wait before checking callback (WinCE Only)

    - #### MultiReadCount

          public int MultiReadCount

      Maximum number of barcodes to read in a single image

  - ### Constructor Detail

    - #### DecodeOptions

          public DecodeOptions()

      Data structure that is used to retrieve attributes of last acquired image